﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Home Page
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <style type="text/css">
        #tabContents
        {
            visibility: hidden;
        }
    </style>
    <script type="text/javascript">
        function OnClick(sender, args) {

            var setText, selText;
            var divBox = args._target.tagName == "DIV" ? args._target : args._target.parentNode;

            if ($(divBox).find("input")[0].checked) {
                if (args._target.tagName == "DIV") {
                    $(divBox).find("input")[0].checked = false;
                }
            }
            else {
                if (args._target.tagName == "DIV") {
                    $(divBox).find("input")[0].checked = true;
                }
            }
            if ($(divBox).find("input")[0].checked) {
                if (args._target.tagName == "DIV") {
                    selText = args.get_text();
                }
                else
                    selText = args._target.value;

                if (sender._text.indexOf(selText) != -1)
                    setText = (sender._text != "" ? (sender._text) : selText);
                else
                    setText = (sender._text != "" ? (sender._text + " " + selText) : selText);
            }
            else {
                if (args._target.tagName == "DIV") {
                    selText = args.get_text();
                }
                else
                    selText = args._target.value;

                if (sender._text.indexOf(selText) != -1)
                    setText = (sender._text != "" ? (sender._text.replace(selText, "")) : selText);
                else
                    setText = (sender._text != "" ? (sender._text) : selText);
            }
            var obj = $find("ResourceDDL");
            obj.setText(setText);
        }
    </script>
    <br />

    <% using (Html.BeginForm("Index", "Home", FormMethod.Get))
       { %>
    <div style="width: 300px; float: left;">
        Select Resource :
                 <%= Html.Syncfusion().GenericDropDown("ResourceDDL").AllowTextEdit(false)
            .TargetContentId("CountriesList").AllowMultipleSelection(true).PopupDirection(GenericDropDownPopupDirection.Down)
            .ClientSideOnClick("OnClick")
                 %>
        <input type="submit" id="btn_subit" value="submit" class="Button" width="75px" />
    </div>
    <% } %>

    <div id="Schedule">
        <%= Html.Syncfusion().Schedule("EssentialSchedule1", "ScheduleModel")
                              .DataSource((IEnumerable)ViewData["data"])
                              .Resources((List<ScheduleResource>)ViewData["resources"])
                      .Width(1000)
                      .Height(796)
                      .AllowAddNew(true)
                      .AllowMultipleResource(true)
                      .ShowResourceHeader(true)
                      .TimeZone(ScheduleTimeZones.Eastern_Standard_Time)
                      .HighlightBusinessHours(true)
                      .ScheduleMode(ScheduleMode.Vertical)
                      .CurrentDate(new DateTime(2012, 4, 2))
                      .BindList(bind =>
                                {
                                    bind.IdField("Id");
                                    bind.SubjectField("Subject");
                                    bind.LocationField("Location");
                                    bind.StartTimeField("StartTime");
                                    bind.EndTimeField("EndTime");
                                    bind.DescriptionField("Description");
                                    bind.OwnerField("Owner");
                                    bind.PriorityField("Priority");
                                    bind.RecurrenceField("Recurrence");
                                    bind.RecurrenceTypeField("RecurrenceType");
                                    bind.RecurrenceTypeCountField("RecurrenceTypeCount");
                                    bind.ReminderField("Reminder");
                                    bind.AllDayField("AllDay");
                                    bind.RecurrenceStartField("RecurrenceStartDate");
                                    bind.RecurrenceEndField("RecurrenceEndDate");
                                    bind.RecurrenceRules("RecurrenceRule");
                                })
        %>
    </div>
    <div id="Target">
        <div id="CountriesList">
            <div id="John">
                <input type="checkbox" value="1" name="Countries" />
                John
            </div>
            <div id="Peterson">
                <input type="checkbox" value="2" name="Countries" />
                Peterson
            </div>
            <div id="Richard">
                <input type="checkbox" value="3" name="Countries" />
                Richard
            </div>
        </div>
    </div>
    <ul>
        <li><a href="http://help.syncfusion.com" title="User Guide">Online Documentation</a></li>
        <li><a href="http://mvc.syncfusion.com/demos" title="ASP.NET MVC demos">View Samples</a>.</li>
        <li><a href="http://www.syncfusion.com/Account/Logon?ReturnUrl=%2fsupport%2fdirecttrac"
            title="Direct-trac and Forum">Support</a></li>
    </ul>
</asp:Content>
